Google Web Toolkit (Beta)
Search this site:

# Class KeyboardListenerCollection

public class KeyboardListenerCollection
extends ArrayList
// Superclass of `DelegatingKeyboardListenerCollection`
A helper class for implementers of the SourcesKeyboardEvents interface. This subclass of <linkArrayList></linkArrayList> assumes that all objects added to it will be of type KeyboardListener.

## Methods

fireKeyboardEvent(Widget, Event) | Automatically fires the appropriate keyboard event to all listeners.
fireKeyDown(Widget, char, int) | Fires a keyDown event to all listeners.
fireKeyPress(Widget, char, int) | Fires a keyDown event to all listeners.
fireKeyUp(Widget, char, int) | Fires a keyDown event to all listeners.
getKeyboardModifiers(Event) | Gets the keyboard modifiers associated with a DOMEvent.

## Method Detail

### fireKeyboardEvent

public void fireKeyboardEvent(Widget sender, Event event)
Automatically fires the appropriate keyboard event to all listeners. If the given event is not a keyboard event, no action will be performed.

#### Parameters

sender
  the widget sending the event.
event
  the Event received by the widget.

### fireKeyDown

public void fireKeyDown(Widget sender, char keyCode, int modifiers)
Fires a keyDown event to all listeners.

#### Parameters

sender
  the widget sending the event.
keyCode
  the keyCode to send with the event.
modifiers
  the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by KeyboardListener.MODIFIER_SHIFT, KeyboardListener.MODIFIER_CTRL, and KeyboardListener.MODIFIER_ALT.

### fireKeyPress

public void fireKeyPress(Widget sender, char key, int modifiers)
Fires a keyDown event to all listeners.

#### Parameters

sender
  the widget sending the event.
key
  the key to send with the event.
modifiers
  the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by KeyboardListener.MODIFIER_SHIFT, KeyboardListener.MODIFIER_CTRL, and KeyboardListener.MODIFIER_ALT.

### fireKeyUp

public void fireKeyUp(Widget sender, char keyCode, int modifiers)
Fires a keyDown event to all listeners.

#### Parameters

sender
  the widget sending the event.
keyCode
  the keyCode to send with the event.
modifiers
  the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by KeyboardListener.MODIFIER_SHIFT, KeyboardListener.MODIFIER_CTRL, and KeyboardListener.MODIFIER_ALT.

### getKeyboardModifiers

public static int getKeyboardModifiers(Event event)
Gets the keyboard modifiers associated with a DOMEvent.

#### Parameters

event
  the event.

#### Return Value

the modifiers as defined in KeyboardListener.